Subject: Re: [PATCH 02/02] add mask options to fwmark masking code

From: Carl-Daniel Hailfinger <[email-masked]>
Date: Mon, 20 Feb 2006 20:58:39 +0100

Michael Richardson schrieb:
> [PATCH] This patch introduces a mask to the fwmark test cases in the advanced
> routing. This let's one test individual bits of the fwmark to determine
> how things should be routed (pick a routing table). This patch retains
> compatibility with tests that do not set the mask by assuming a mask
> of 0 is equivalent to a mask of 0xffffffff.

Sorry if I misunderstood the intention of your patch, but isn't similar code
already in mainline?

linux-2.6.16-rc3/net/sched/cls_u32.c:146
#ifdef CONFIG_CLS_U32_MARK
                if ((skb->nfmark & n->mark.mask) != n->mark.val) {

Regards,
Carl-Daniel
-- 
http://www.hailfinger.org/